Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Interface InternalComponentResources

All Superinterfaces:
  ComponentResources, ComponentResourcesCommon, InternalComponentResourcesCommon, Locatable, RenderCommand

All Known Implementing Classes:
  InternalComponentResourcesImpl

    public interface InternalComponentResources

extends ComponentResources, InternalComponentResourcesCommon, RenderCommand

An extension of `ComponentResources` that represents additional methods that are private to the framework and not exposed in any public APIs.

Method Summary
`void` | `addPageResetListener(PageResetListener listener)` Delegates to `Page.addResetListener(org.apache.tapestry5.internal.structure.PageResetListener)`.
`java.lang.Object` | `getFieldChange(java.lang.String fieldName)` Get the current persisted value of the field.
`ParameterConduit` | `getParameterConduit(java.lang.String parameterName)` Gets a previously stored ParameterConduit, allowing PCs to be shared between a component and a mixin of that component.
`java.lang.String` | `getPropertyName(java.lang.String parameterName)` Returns the name of the bound property if `PropBinding` is used and the expression points to a property on a bean (e.g.
`boolean` | `hasFieldChange(java.lang.String fieldName)` Checks to see if there is a value stored for the indicated field.
`void` | `persistFieldChange(java.lang.String fieldName, java.lang.Object newValue)` Posts a change to a persistent field.
`void` | `postRenderCleanup()` Allows the resources to cleanup any render-time only data.
`void` | `setParameterConduit(java.lang.String parameterName, ParameterConduit conduit)` Stores a ParameterConduit for later access.

Methods inherited from interface org.apache.tapestry5.ComponentResources
`addPageLifecycleListener, discardPersistentFieldChanges, getAnnotationProvider, getBaseResource, getBlockParameter, getBoundType, getComponent, getComponentModel, getContainer, getContainerMessages, getContainerResources, getElementName, getEmbeddedComponent, getInformalParameter, getInformalParameterNames, getMessages, getPage, getPageLifecycleCallbackHub, getParameterAnnotation, getRenderVariable, isBound, isMixin, removePageLifecycleListener, renderInformalParameters, storeRenderVariable`

Methods inherited from interface org.apache.tapestry5.ComponentResourcesCommon
`createActionLink, createEventLink, createFormEventLink, createPageLink, createPageLink, findBlock, getBlock, getBody, getCompleteId, getElementName, getId, getLocale, getLogger, getNestedId, getPageName, getResourceSelector, hasBody, isRendering, triggerContextEvent, triggerEvent`

Methods inherited from interface org.apache.tapestry5.ioc.Locatable
`getLocation`

Methods inherited from interface org.apache.tapestry5.internal.InternalComponentResourcesCommon
`bindParameter, getBinding, getInformalParameterBindings, getMixinByClassName, isLoaded`

Methods inherited from interface org.apache.tapestry5.runtime.RenderCommand
`render`

Method Detail

### getFieldChange

    java.lang.Object getFieldChange(java.lang.String fieldName)

  Get the current persisted value of the field.

  Parameters:
    `fieldName` - the name of the field to access
  Returns:
    the value stored for the field, or null if no value is currently stored

### hasFieldChange

    boolean hasFieldChange(java.lang.String fieldName)

  Checks to see if there is a value stored for the indicated field.

### persistFieldChange

    void persistFieldChange(java.lang.String fieldName,
                            java.lang.Object newValue)

  Posts a change to a persistent field. If the component is still loading, then this change is ignored. Otherwise, it is propagated, via the `page` to the `PersistentFieldManager`.

### postRenderCleanup

    void postRenderCleanup()

  Allows the resources to cleanup any render-time only data.

### addPageResetListener

    void addPageResetListener(PageResetListener listener)

  Delegates to `Page.addResetListener(org.apache.tapestry5.internal.structure.PageResetListener)`.

  Parameters:
    `listener` - to register

### getParameterConduit

    ParameterConduit getParameterConduit(java.lang.String parameterName)

  Gets a previously stored ParameterConduit, allowing PCs to be shared between a component and a mixin of that component.

  Since:
    5.2.0

### setParameterConduit

    void setParameterConduit(java.lang.String parameterName,
                             ParameterConduit conduit)

  Stores a ParameterConduit for later access. Tthis occurs inside a component's `PageLifecycleListener.containingPageDidLoad()` lifecycle method.

  Since:
    5.2.0

### getPropertyName

    java.lang.String getPropertyName(java.lang.String parameterName)

  Returns the name of the bound property if `PropBinding` is used and the expression points to a property on a bean (e.g. user.name). Otherwise this method returns null.

  Parameters:
    `parameterName` - name of the parameter
  Since:
    5.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.